Skip to content

Markdown Source

Use the raw markdown for copy, automation, and AI agents.

View Markdown

Composer API ​

Generate Metadata ​

prolog
POST /composer/metadata?includes=:includes

Authorization Required ​

OAuthAPIKey
YesYes

Parameters ​

ParameterTypeDescription
includesstringThe includes to generate. Use slug, summary, tags. Use comma to separate multiple values. Default is slug,summary,tags.

Request Body ​

json
{
  "title": "Post Title",
  "content": "Post Content"
}

Response ​

json
{
  "data": {
    "slug": "post-slug",
    "summary": "Post Summary",
    "tags": "tag1,tag2,tag3"
  },
  "ts": 1723923923
}

Generate Tweets ​

prolog
POST /composer/generate-tweets

Authorization Required ​

OAuthAPIKey
YesYes

Request Body ​

json
{
  "title": "Post Title",
  "content": "Post Content"
}

Response ​

json
{
  "data": {
    "tweets": "..."
  },
  "ts": 1723923923
}

Search Unsplash Photos ​

prolog
GET /composer/unsplash/photos/search?query=:query&page=:page&limit=:limit

Authorization Required ​

OAuthAPIKey
YesYes

Query Parameters ​

ParameterTypeDescription
querystringSearch keyword (required).
pagenumberPage number (default: 1).
limitnumberPage size (default: 10).

Response ​

Returns the Unsplash search response payload.

Trigger Unsplash Download URL ​

prolog
GET /composer/unsplash/photos/download_url?endpoint=:endpoint

Authorization Required ​

OAuthAPIKey
YesYes

Query Parameters ​

ParameterTypeDescription
endpointstringUnsplash download endpoint.

Response ​

json
{
  "data": {
    "url": "https://..."
  },
  "ts": 1723923923
}